aboutsummaryrefslogtreecommitdiff
path: root/meta-linaro/recipes-extra/ganglia/ganglia/gmond.init
diff options
context:
space:
mode:
Diffstat (limited to 'meta-linaro/recipes-extra/ganglia/ganglia/gmond.init')
-rwxr-xr-xmeta-linaro/recipes-extra/ganglia/ganglia/gmond.init46
1 files changed, 46 insertions, 0 deletions
diff --git a/meta-linaro/recipes-extra/ganglia/ganglia/gmond.init b/meta-linaro/recipes-extra/ganglia/ganglia/gmond.init
new file mode 100755
index 00000000..4509329f
--- /dev/null
+++ b/meta-linaro/recipes-extra/ganglia/ganglia/gmond.init
@@ -0,0 +1,46 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: gmond
+# Required-Start: $local_fs
+# Required-Stop: $local_fs
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Starts ganglia monitor
+# Description: Starts the gmond monitoring daemon
+### END INIT INFO
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+
+DESC="Ganglia Monitor Daemon"
+NAME="gmond"
+GMOND=`which $NAME`
+
+. /etc/init.d/functions || exit 1
+
+# Exit if the package is not installed
+[ -x "$GMOND" ] || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: $NAME... "
+ start-stop-daemon -S -x $GMOND -- $GMOND_ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: $NAME... "
+ start-stop-daemon -K -x $GMOND
+ echo "done."
+ ;;
+ restart)
+ echo "Restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+ ;;
+esac
+
+exit 0